Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 12:25
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
GIMP 2.8.xx - Only .PET Form [64bit]
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Scotchialoo

Joined: 25 Oct 2013
Posts: 54
Location: Poland

PostPosted: Sun 10 Nov 2013, 12:18    Post_subject:  GIMP 2.8.xx - Only .PET Form [64bit]  

Depended:

1. Babl 0.1.10 [Same as a i686 .sfs depend]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
2. GeGL 0.2.0 [Same as a i686 .sfs depend]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
3. glib 2.39.1 [Newest] (FatDog64-630 haves: 2.26 - Update: glibc 2.36.3)
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
4. atk 2.11.3 [Newest]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --disable-static --build=x86_64-t2-linux-gnu
5. gdk-pixbuf 2.30.1 [Newest]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --with-x11 --build=x86_64-t2-linux-gnu
6. cairo 1.12.6 [Newest]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --disable-static --build=x86_64-t2-linux-gnu
Info:
If you copying with a builded cairo or If "Seamonkey" [for example] Will be doesn't start again (Rox: from "Shares" folder desktop will be works.) I will be recomend Restart computer - Not X.org (black screen and Config WPA - after closing: Doesn't be start.)
7. fontconfig 2.11 (For Develop.)
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --disable-static --disable-docs --build=x86_64-t2-linux-gnu
8. ragel 6.8 (For Develop.)
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
9. docbookx-5.0-noarch.pet (for Develop)
10. itstool 2.0.1 (for develop)
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
11. gtkdocize (as gtk-doc 1.19): Package type: 2 [bin/dev]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
12. harfbuzz 0.9.25: Package type: 2 [bin/dev]
Command:
./autogen.sh --prefix=/usr --libdir=/usr/lib64 --build=x86_64-t2-linux-gnu
13. pango 1.36.1: Package type: 2 [bin/dev]
Command:
./configure --prefix=/usr --libdir=/usr/lib64 --disable-static --build=x86_64-t2-linux-gnu

i686 package for Puppy Linux,Not Developed by myself [scabz] -> http://www.murga-linux.com/puppy/viewtopic.php?t=87046

Compiled with: Fatdog64-630rc2 + fd64-devx_630rc2.sfs (GCC: 4.6.2/binutils: 2.20 from 10/8/2010)

Command for Compile: ./configure --prefix=/usr --libdir=/usr/lib64 --without-gvfs --disable-python --build=x86_64-t2-linux-gnu
Type Package: 3 [bin/dev/doc]

UPDATED: PyGTK is not depend anymore. (Because or in 64bit is not depend anymore or rather from http://www.linuxfromscratch.org/blfs/view/svn/xsoft/gimp.html I will be can disabled Python...)

UPDATED #2 [15/12/2013]: I have good news about a ~MB's depends: gobject-introspection/pycairo/pygobject is not depend anymore. [-2,5MB Sources/-17MB With Full Binary Scripts.]

UPDATED #3 [4/1/2014]: Now it's a Only .PET Form... .SFS Haves a any Errors...

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
Scotchialoo

Joined: 25 Oct 2013
Posts: 54
Location: Poland

PostPosted: Sun 10 Nov 2013, 13:41    Post_subject:  

SFS is uploaded.
In a future I will be search for a resolve problem with /opt/gimp-2.8.8 "Binary portable" - But I can't be a alone with a script... I can give a resolve a Easy-Compile as a "Linux from scratch"
Back to top
View user's profile Send_private_message Visit_website 
don570


Joined: 10 Mar 2010
Posts: 3307
Location: Ontario

PostPosted: Mon 11 Nov 2013, 15:45    Post_subject:  

Fortunately compiling Gimp 2.8.8 for 32 bit Precise was very easy.

Code:
./configure --disable-python --prefix=/usr


Then I stuck in gegl-babl libraries and it worked in Raring Precise and Slacko

_____________________________________________
Back to top
View user's profile Send_private_message 
Scotchialoo

Joined: 25 Oct 2013
Posts: 54
Location: Poland

PostPosted: Mon 11 Nov 2013, 16:00    Post_subject:  

don570 wrote:
Fortunately compiling Gimp 2.8.8 for 32 bit Precise was very easy.

I know. - But that's My mistake. In a begins always will be difficult...

don570 wrote:
Then I stuck in gegl-babl libraries and it worked in Raring Precise and Slacko

I know be too... if I Want to compile that's I will be keep a GeGL and Babl library because is a GIMP Compile depend. (even in without Python.)
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 1.5493s ][ Queries: 12 (0.0089s) ][ GZIP on ]